All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.execution2
Class IQOlapAppliedFilter

    com.sas.iquery.execution2.IQOlapAppliedFilter

All Implemented Interfaces:
  IQAppliedFilter

    @Immutable
    public class IQOlapAppliedFilter

implements IQAppliedFilter

The `IQOlapAppliedFilter` represents any filters that the user has applied to an OLAP result set.

The list of current applied filters can be retrieved from the IQ result set, using the convenience class `AppliedFilter`.

Not yet completely implemented.

Since:
  9.3

Constructor Summary
`IQOlapAppliedFilter(java.util.List<com.sas.iquery.metadata.business.QualifiedLevel> levels, BusinessModel parent, java.lang.String displayedText)` Create a new IQ OLAP applied filter object, based on the supplied levels and parent business model.

Method Summary
`java.lang.String` | `getDisplayedText()` Return the displayed readable text for this filter.
`java.util.List<com.sas.iquery.metadata.business.QualifiedLevel>` | `getLevels()` Return a list of levels represented in the applied filter.
`BusinessModel` | `getParent()` Returns the parent business model for this applied filter.
`java.lang.String` | `toString()`

Constructor Detail

### IQOlapAppliedFilter

    public IQOlapAppliedFilter(java.util.List<com.sas.iquery.metadata.business.QualifiedLevel> levels,
                               BusinessModel parent,
                               java.lang.String displayedText)
                        throws com.sas.storage.olap.OLAPException

  Create a new IQ OLAP applied filter object, based on the supplied levels and parent business model.

  Parameters:
    `levels` - the level associated with this filter
    `parent` - the parent business model
    `displayedText` - the human readable text for this applied filter
  Throws:
    `com.sas.storage.olap.OLAPException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### getLevels

    public java.util.List<com.sas.iquery.metadata.business.QualifiedLevel> getLevels()

  Description copied from interface: `IQAppliedFilter`
  Return a list of levels represented in the applied filter.

  Example:

  `[Product].[All Product].[Children].[Children Sports].[A-Team, Kids].[210200100001]`,

  `[Product].[All Product].[Children].[Children Sports].[A-Team, Kids]`

  In the above case, a selection was made from the level Product Group and another selection from Product Id. The lowest level was Product id. Therefore, the list that is returned contains the following levels (including ancestors) - Product_Line, Product_Category, Product_Group, and Product_ID.

  Specified by:
    `getLevels` in interface `IQAppliedFilter`
  Returns:
    a list of `QualifiedLevel` objects
  See Also:
    `IQAppliedFilter.getLevels()`

### getDisplayedText

    public java.lang.String getDisplayedText()

  Description copied from interface: `IQAppliedFilter`
  Return the displayed readable text for this filter.

  Example 1: The label of the "[PRODUCT].[CATEGORY].[CHILDREN]" is "Product Equal to Children".

  Example 2: The label for the top 5 items on the column axis is "Columns, Top 2 Count (excluding ties)"

  Specified by:
    `getDisplayedText` in interface `IQAppliedFilter`
  Returns:
    a String containing a human readable representation of the filter
  See Also:
    `IQAppliedFilter.getDisplayedText()`

### getParent

    public BusinessModel getParent()

  Description copied from interface: `IQAppliedFilter`
  Returns the parent business model for this applied filter.

  Specified by:
    `getParent` in interface `IQAppliedFilter`
  Returns:
    the parent `BusinessModel`
  See Also:
    `IQAppliedFilter.getParent()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.